- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- ManagedCertificateAuthority
- CertChain
Gets details about the certificate authority for an Instance.
HTTP request
GET https://memorystore.googleapis.com/v1beta/{name=projects/*/locations/*/instances/*}/certificateAuthority The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the certificate authority. Format: projects/{project}/locations/{location}/instances/{instance}/certificateAuthority |
Request body
The request body must be empty.
Response body
A certificate authority for an instance.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"name": string,
// The following is a list of mutually exclusive fields. At most one of the
// fields will be set in a response:
"managedServerCa": {
object ( |
| Fields | |
|---|---|
name |
Identifier. Unique name of the certificate authority. Format: projects/{project}/locations/{location}/instances/{instance} |
| Information about the server certificate authority. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
managedServerCa |
A managed server certificate authority. |
| End of mutually exclusive fields. | |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/memorystore.read-writehttps://www.googleapis.com/auth/memorystore.read-only
IAM Permissions
Requires the following IAM permission on the name resource:
memorystore.instances.get
For more information, see the IAM documentation.
ManagedCertificateAuthority
A managed certificate authority.
| JSON representation |
|---|
{
"caCerts": [
{
object ( |
| Fields | |
|---|---|
caCerts[] |
PEM encoded CA certificate chains for managed server authentication. |
CertChain
A certificate chain.
| JSON representation |
|---|
{ "certificates": [ string ] } |
| Fields | |
|---|---|
certificates[] |
The certificates that form the CA chain in order of leaf to root. |